items = {}
itemsFunctions = {}


--adds new items to the lookup table; it needs the path to its image, an x and y co-ordinate, you can choose to make it do something when it collides by setting collide to true, and having a function attached
function itemsFunctions:new(image, x, y, collide, removeOnCollide, func)
	if image and x and y then table.insert(items, {img = love.graphics.newImage(image),x = x, y = y, collide = collide, removeOnCollide = removeOnCollide, func = func,}) end
end

function itemsFunctions:draw(state)
local dx 
local dy 
	for i,v in ipairs(items) do
		dx = (player.x) - (v.x)
		dy = (player.y) - (v.y )
		dist = math.sqrt ( dx^2 + dy^2 )		
		
		if dist > v.img:getWidth()+5 and state == 'foreground' then
			love.graphics.draw(v.img, v.x,v.y,0,1,1,v.img:getWidth()/2,v.img:getHeight()/2)
		elseif state == 'foreground' and dist < v.img:getWidth()+5 and v.y+v.img:getHeight()/2 > player.y then
			love.graphics.draw(v.img, v.x,v.y,0,1,1,v.img:getWidth()/2,v.img:getHeight()/2)
		elseif state == 'background' and dist < v.img:getWidth()+5 and v.y+v.img:getHeight()/2 < player.y then
			love.graphics.draw(v.img, v.x,v.y,0,1,1,v.img:getWidth()/2,v.img:getHeight()/2)

		end	

		if v.collide and dist < 30 then
			v.func(i,v)
			if v.removeOnCollide then
				table.remove(items,i)
			end
		end
	end
	
	
end